Index: branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs
===================================================================
--- branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 96)
+++ branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 97)
@@ -11,9 +11,9 @@
 using ProcessManagement.OracleDB.Core;
 using ProcessManagement.OracleDB.IOAccess;
 
-using ProcessManagement.MySQLDB.MySql;
-using ProcessManagement.MySQLDB.Core;
-using ProcessManagement.MySQLDB.IOAccess;
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DB.IOAccess;
 
 using ProcessManagement.DataModel;
 using ProcessManagement.Common;
@@ -691,7 +691,7 @@
         private bool CnvActionscheduledata(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOActionScheduleData InDB = new ProcessManagement.OracleDB.IOAccess.IOActionScheduleData();
-            ProcessManagement.MySQLDB.IOAccess.IOActionScheduleData OutDB = new ProcessManagement.MySQLDB.IOAccess.IOActionScheduleData();
+            ProcessManagement.DB.IOAccess.IOActionScheduleData OutDB = new ProcessManagement.DB.IOAccess.IOActionScheduleData();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -705,52 +705,27 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ActionScheduleData> BuffList = new List<ActionScheduleData>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOActionScheduleData.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
-                        
-                        ActionScheduleData CurRec = getList[DataCnt];
 
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format(" STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.TargetDate.ToShortDateString());
-                        strSQL += string.Format(", {0}", CurRec.PersonCode.ToString());
-                        strSQL += string.Format(", '{0}'", CurRec.ActionSchedule);
-                        strSQL += string.Format(", {0}", CurRec.TargetYear.ToString());
-                        strSQL += string.Format(", {0}", CurRec.TargetMonth.ToString());
-                        strSQL += string.Format(", {0}", CurRec.TargetDay.ToString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
-                        strMsg += " ＤＢ処理異常";
+                        strMsg += "　ＤＢ処理異常";
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -779,7 +754,7 @@
         private bool CnvApprovalmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMApproval InDB = new ProcessManagement.OracleDB.IOAccess.IOMApproval();
-            ProcessManagement.MySQLDB.IOAccess.IOMApproval OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMApproval();
+            ProcessManagement.DB.IOAccess.IOMApproval OutDB = new ProcessManagement.DB.IOAccess.IOMApproval();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -793,47 +768,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ApprovalMaster> BuffList = new List<ApprovalMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMApproval.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ApprovalMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ApprovalCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DepartmentCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.SeqNo.ToString());
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ApprovalPerson.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ApprovalAuthority.ToString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -840,6 +788,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -869,7 +818,7 @@
         private bool CnvAttendancedailydata(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOAttendanceDailyData InDB = new ProcessManagement.OracleDB.IOAccess.IOAttendanceDailyData();
-            ProcessManagement.MySQLDB.IOAccess.IOAttendanceDailyData OutDB = new ProcessManagement.MySQLDB.IOAccess.IOAttendanceDailyData();
+            ProcessManagement.DB.IOAccess.IOAttendanceDailyData OutDB = new ProcessManagement.DB.IOAccess.IOAttendanceDailyData();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -883,54 +832,27 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<AttendanceDailyData> BuffList = new List<AttendanceDailyData>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOAttendanceDailyData.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        AttendanceDailyData CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);                      // 担当者コード
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                                    , CurRec.AttendanceDate.ToShortDateString()); // 日報作成日
-                        strSQL += string.Format(", {0}", CurRec.SeqNo);                           // 明細行番号
-                        strSQL += string.Format(",'{0}'", CurRec.ActionResult);                   // 行動実績
-                        strSQL += string.Format(", {0}", CurRec.OvertimeHours);                   // 残業時間
-                        strSQL += string.Format(",'{0}'", CurRec.WorkingComment);                 // コメント
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
-                        strMsg += " ＤＢ処理異常";
+                        strMsg += "　ＤＢ処理異常";
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -961,7 +883,7 @@
         private bool CnvAttendancedata(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOAttendanceData InDB = new ProcessManagement.OracleDB.IOAccess.IOAttendanceData();
-            ProcessManagement.MySQLDB.IOAccess.IOAttendanceData OutDB = new ProcessManagement.MySQLDB.IOAccess.IOAttendanceData();
+            ProcessManagement.DB.IOAccess.IOAttendanceData OutDB = new ProcessManagement.DB.IOAccess.IOAttendanceData();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -975,57 +897,27 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<AttendanceData> BuffList = new List<AttendanceData>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOAttendanceData.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        AttendanceData CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);                      // 担当者コード
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                                    , CurRec.AttendanceMonth.ToShortDateString());// 日報作成日
-                        strSQL += string.Format(", {0}", CurRec.LastDays);                        // 当月最終日
-                        strSQL += string.Format(", {0}", CurRec.AttendDayCount);                  // 出勤日数
-                        strSQL += string.Format(", {0}", CurRec.TotalOverTimes);                  // 残業時間数
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                                    , CurRec.OrderDate.ToShortDateString());      // 申請日
-                        strSQL += string.Format(", {0}", CurRec.OrderNo);                         // 申請受付番号
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
-                        strMsg += " ＤＢ処理異常";
+                        strMsg += "　ＤＢ処理異常";
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -1055,7 +947,7 @@
         private bool CnvBk_constructionledger(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOConstructionLedger InDB = new ProcessManagement.OracleDB.IOAccess.IOConstructionLedger();
-            ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger OutDB = new ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger();
+            ProcessManagement.DB.IOAccess.IOConstructionLedger OutDB = new ProcessManagement.DB.IOAccess.IOConstructionLedger();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -1102,7 +994,7 @@
                     bColFirst = true;
                     strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
                     strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn)))
+                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn)))
                     {
                         if (!bColFirst) strSQL += ", ";
                         strSQL += gender.ToString();
@@ -1120,64 +1012,64 @@
                         if (bDataFirst) strSQL += " (";
                         else strSQL += ", (";
 
-                        work.ConstructionCode = CommonMotions.ObjectToInt(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.ConstructionCode);
+                        work.ConstructionCode = CommonMotions.ObjectToInt(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.ConstructionCode);
                         strSQL += string.Format("  {0}", work.ConstructionCode);                // 工事番号
 
-                        work.ConstructionPeriod = CommonMotions.ObjectToInt(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.ConstructionPeriod);
+                        work.ConstructionPeriod = CommonMotions.ObjectToInt(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.ConstructionPeriod);
                         strSQL += string.Format(", {0}", work.ConstructionPeriod);              // 事業期
 
-                        work.CreatorCode = CommonMotions.ObjectToInt(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.CreatorCode);
+                        work.CreatorCode = CommonMotions.ObjectToInt(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.CreatorCode);
                         strSQL += string.Format(", {0}", work.CreatorCode);                     // 作成者コード
 
-                        work.CreatorName = CommonMotions.ObjectToString(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.CreatorName);
+                        work.CreatorName = CommonMotions.ObjectToString(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.CreatorName);
                         strSQL += string.Format(",'{0}'", work.CreatorName);                    // 作成者名
 
-                        work.CreateDate = CommonMotions.ObjectToDateTime(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.CreateDate);
+                        work.CreateDate = CommonMotions.ObjectToDateTime(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.CreateDate);
                         strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.CreateDate.ToShortDateString());           // 作成日
 
-                        work.ConstructionTimes = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.ConstructionTimes);
+                        work.ConstructionTimes = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.ConstructionTimes);
                         strSQL += string.Format(", {0}", work.ConstructionTimes);               // 工期（単位・月）
 
-                        work.ConstructionStart = CommonMotions.ObjectToDateTime(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.ConstructionStart);
+                        work.ConstructionStart = CommonMotions.ObjectToDateTime(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.ConstructionStart);
                         strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.ConstructionStart.ToShortDateString());    // 契約工期開始
 
-                        work.ConstructionEnd = CommonMotions.ObjectToDateTime(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.ConstructionEnd);
+                        work.ConstructionEnd = CommonMotions.ObjectToDateTime(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.ConstructionEnd);
                         strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.ConstructionEnd.ToShortDateString());      // 契約工期完了
 
-                        work.OrdersDecisionPrice = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.OrdersDecisionPrice);
+                        work.OrdersDecisionPrice = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.OrdersDecisionPrice);
                         strSQL += string.Format(",{0}", work.OrdersDecisionPrice);              // 税抜受注決定金額
 
-                        work.CompanyExpenses = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.CompanyExpenses);
+                        work.CompanyExpenses = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.CompanyExpenses);
                         strSQL += string.Format(",{0}", work.CompanyExpenses);                  // 会社経費合計
 
-                        work.DepartmentExpenses = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.DepartmentExpenses);
+                        work.DepartmentExpenses = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.DepartmentExpenses);
                         strSQL += string.Format(",{0}", work.DepartmentExpenses);               // 部署経費合計
 
-                        work.SalesExpenses = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.SalesExpenses);
+                        work.SalesExpenses = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.SalesExpenses);
                         strSQL += string.Format(",{0}", work.SalesExpenses);                    // 営業経費合計
 
-                        work.TotalPayment = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.TotalPayment);
+                        work.TotalPayment = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.TotalPayment);
                         strSQL += string.Format(",{0}", work.TotalPayment);                     // 総支払額
 
-                        work.GrossProfit = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.GrossProfit);
+                        work.GrossProfit = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.GrossProfit);
                         strSQL += string.Format(",{0}", work.GrossProfit);                      // 粗利
 
-                        work.Allowance = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.Allowance);
+                        work.Allowance = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.Allowance);
                         strSQL += string.Format(",{0}", work.Allowance);                        // 給与
 
-                        work.NetProfit = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.NetProfit);
+                        work.NetProfit = CommonMotions.ObjectToDouble(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.NetProfit);
                         strSQL += string.Format(",{0}", work.NetProfit);                        // 純利益
 
-                        work.ComplateFlg = CommonMotions.ObjectToInt(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.ComplateFlg);
+                        work.ComplateFlg = CommonMotions.ObjectToInt(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.ComplateFlg);
                         strSQL += string.Format(",{0}", work.ComplateFlg);                      // 入力完了フラグ
 
-                        work.IntegrationFlg = CommonMotions.ObjectToInt(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.IntegrationFlg);
+                        work.IntegrationFlg = CommonMotions.ObjectToInt(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.IntegrationFlg);
                         strSQL += string.Format(",{0}", work.IntegrationFlg);                   // 受注金額積算フラグ
 
-                        work.EntryDate = CommonMotions.ObjectToDateTime(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.EntryDate);
+                        work.EntryDate = CommonMotions.ObjectToDateTime(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.EntryDate);
                         strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
 
-                        work.UpdateDate = CommonMotions.ObjectToDateTime(CurRec, (int)ProcessManagement.MySQLDB.IOAccess.IOConstructionLedger.TableColumn.UpdateDate);
+                        work.UpdateDate = CommonMotions.ObjectToDateTime(CurRec, (int)ProcessManagement.DB.IOAccess.IOConstructionLedger.TableColumn.UpdateDate);
                         strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
 
                         strSQL += ")";
@@ -1222,7 +1114,7 @@
         private bool CnvBk_constructionledgerdetail(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOConstructionLedgerDetail InDB = new ProcessManagement.OracleDB.IOAccess.IOConstructionLedgerDetail();
-            ProcessManagement.MySQLDB.IOAccess.IOConstructionLedgerDetail OutDB = new ProcessManagement.MySQLDB.IOAccess.IOConstructionLedgerDetail();
+            ProcessManagement.DB.IOAccess.IOConstructionLedgerDetail OutDB = new ProcessManagement.DB.IOAccess.IOConstructionLedgerDetail();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -1275,7 +1167,7 @@
                     bColFirst = true;
                     strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
                     strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOConstructionLedgerDetail.TableColumn)))
+                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.DB.IOAccess.IOConstructionLedgerDetail.TableColumn)))
                     {
                         if (!bColFirst) strSQL += ", ";
                         strSQL += gender.ToString();
@@ -1413,7 +1305,7 @@
         private bool CnvBk_constructionledgerexcute(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOConstructionLedgerExcute InDB = new ProcessManagement.OracleDB.IOAccess.IOConstructionLedgerExcute();
-            ProcessManagement.MySQLDB.IOAccess.IOConstructionLedgerExcute OutDB = new ProcessManagement.MySQLDB.IOAccess.IOConstructionLedgerExcute();
+            ProcessManagement.DB.IOAccess.IOConstructionLedgerExcute OutDB = new ProcessManagement.DB.IOAccess.IOConstructionLedgerExcute();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -1448,7 +1340,7 @@
                     bColFirst = true;
                     strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
                     strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOConstructionLedgerExcute.TableColumn)))
+                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.DB.IOAccess.IOConstructionLedgerExcute.TableColumn)))
                     {
                         if (!bColFirst) strSQL += ", ";
                         strSQL += gender.ToString();
@@ -1532,7 +1424,7 @@
         private bool CnvBk_estimatedata(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOEstimateData InDB = new ProcessManagement.OracleDB.IOAccess.IOEstimateData();
-            ProcessManagement.MySQLDB.IOAccess.IOEstimateData OutDB = new ProcessManagement.MySQLDB.IOAccess.IOEstimateData();
+            ProcessManagement.DB.IOAccess.IOEstimateData OutDB = new ProcessManagement.DB.IOAccess.IOEstimateData();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -1575,7 +1467,7 @@
                     strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
                     strSQL += " (";
                     strSQL += "SaveDate,";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOEstimateData.TableColumn)))
+                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.DB.IOAccess.IOEstimateData.TableColumn)))
                     {
                         if (!bColFirst) strSQL += ", ";
                         strSQL += gender.ToString();
@@ -1674,7 +1566,7 @@
         private bool CnvBk_estimatedatabody(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOEstimateDataBody InDB = new ProcessManagement.OracleDB.IOAccess.IOEstimateDataBody();
-            ProcessManagement.MySQLDB.IOAccess.IOEstimateDataBody OutDB = new ProcessManagement.MySQLDB.IOAccess.IOEstimateDataBody();
+            ProcessManagement.DB.IOAccess.IOEstimateDataBody OutDB = new ProcessManagement.DB.IOAccess.IOEstimateDataBody();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -1716,7 +1608,7 @@
                     strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
                     strSQL += " (";
                     strSQL += "SaveDate,";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOEstimateDataBody.TableColumn)))
+                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.DB.IOAccess.IOEstimateDataBody.TableColumn)))
                     {
                         if (!bColFirst) strSQL += " ,";
                         strSQL += gender.ToString();
@@ -1812,7 +1704,7 @@
         private bool CnvBk_estimatedatadetail(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOEstimateDataDetail InDB = new ProcessManagement.OracleDB.IOAccess.IOEstimateDataDetail();
-            ProcessManagement.MySQLDB.IOAccess.IOEstimateDataDetail OutDB = new ProcessManagement.MySQLDB.IOAccess.IOEstimateDataDetail();
+            ProcessManagement.DB.IOAccess.IOEstimateDataDetail OutDB = new ProcessManagement.DB.IOAccess.IOEstimateDataDetail();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
